cURL
curl --request POST \
--url https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/sign \
--header 'Content-Type: application/json' \
--data '
{
"data": "<string>",
"isDigest": false,
"clientMetadata": {
"tool": "<string>",
"hostname": "<string>",
"reportedIp": "<string>"
}
}
'import requests
url = "https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/sign"
payload = {
"data": "<string>",
"isDigest": False,
"clientMetadata": {
"tool": "<string>",
"hostname": "<string>",
"reportedIp": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
data: '<string>',
isDigest: false,
clientMetadata: {tool: '<string>', hostname: '<string>', reportedIp: '<string>'}
})
};
fetch('https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/sign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signature": "<string>",
"signingAlgorithm": "<string>",
"signerId": "<string>"
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Signers
Sign Data
Sign a pre-hashed digest with a code signing signer
POST
/
api
/
v1
/
cert-manager
/
signers
/
{signerId}
/
sign
cURL
Path Parameters
Body
application/json
Required string length:
1 - 172Available options:
RSASSA_PSS_SHA_512, RSASSA_PSS_SHA_384, RSASSA_PSS_SHA_256, RSASSA_PKCS1_V1_5_SHA_512, RSASSA_PKCS1_V1_5_SHA_384, RSASSA_PKCS1_V1_5_SHA_256, ECDSA_SHA_512, ECDSA_SHA_384, ECDSA_SHA_256, ML_DSA_44, ML_DSA_65, ML_DSA_87 Show child attributes
Show child attributes
Was this page helpful?
⌘I